petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecSetLocalToGlobalMapping

Sets a local numbering to global numbering used by the routine VecSetValuesLocal() to allow users to insert vector entries using a local (per-processor) numbering.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecSetLocalToGlobalMapping(Vec x,ISLocalToGlobalMapping mapping)

Logically Collective on Vec Many br

### Input Parameters

| x | - vector Many br
| mapping | - mapping created with ISLocalToGlobalMappingCreate() or ISLocalToGlobalMappingCreateIS() Many br

### Notes

All vectors obtained with VecDuplicate() from this vector inherit the same mapping. Many br

Many br

seealso: VecAssemblyBegin(), VecAssemblyEnd(), VecSetValues(), VecSetValuesLocal(), Many brVecSetLocalToGlobalMapping(), VecSetValuesBlockedLocal() Many br

Level:intermediate
Location:src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex8.c.html